Bug 689695

Summary: preupgrade 2nd stage fails - cannot locate installation
Product: [Fedora] Fedora Reporter: Yaniv Kaul <ykaul>
Component: preupgradeAssignee: Richard Hughes <rhughes>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 15CC: jkt, rhughes
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-07 14:10:01 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Yaniv Kaul 2011-03-22 03:27:23 EDT
Description of problem:
After reboot (after preupgrade copied installation files locally), the ncurses interface asks me to specify image dir. It fails no matter what I try to give it.
I have sda1 (Windows), sda2, sda3:
   Device Boot      Start         End      Blocks   Id  System
/dev/sda1   *          63   163840319    81920128+   7  HPFS/NTFS
/dev/sda2       163842048   164866047      512000   83  Linux
/dev/sda3       164866048   312580095    73857024   8e  Linux LVM

This is the kernel command line:
kernel /upgrade/vmlinuz preupgrade repo=hd::/var/cache/yum/preupgrade ks=hd:UUID=d5d6b601-89a0-48dd-b3ef-870a4b08b539:/upgrade/ks.cfg stage2=hd:UUID=d5d6b601-89a0-48dd-b3ef-870a4b08b539:/upgrade/stage2.img

[root@ykaul ~]# pvs
  PV         VG       Fmt  Attr PSize  PFree
  /dev/sda3  vg_ykaul lvm2 a-   70.41g    0 
[root@ykaul ~]# vgs
  VG       #PV #LV #SN Attr   VSize  VFree
  vg_ykaul   1   3   0 wz--n- 70.41g    0 
[root@ykaul ~]# lvs
  LV      VG       Attr   LSize  Origin Snap%  Move Log Copy%  Convert
  lv_home vg_ykaul -wi-ao 30.50g                                      
  lv_root vg_ykaul -wi-ao 34.06g                                      
  lv_swap vg_ykaul -wi-ao  5.84g 

I think I have enough space in /boot:
[root@ykaul upgrade]# df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/mapper/vg_ykaul-lv_root
                       34G  6.9G   27G  21% /
tmpfs                 2.0G  260K  2.0G   1% /dev/shm
/dev/sda2             485M  188M  272M  41% /boot
/dev/mapper/vg_ykaul-lv_home
                       31G  3.1G   26G  11% /home
I'm trying to use sda3 and select /boot/upgrade/install.img - but it just fails with 'cannot mount' error.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Richard Hughes 2012-02-02 04:29:13 EST
Is this fixed on F16? It seems to work for me.
Comment 2 Yaniv Kaul 2012-02-02 04:50:27 EST
(In reply to comment #1)
> Is this fixed on F16? It seems to work for me.

Almost a year since I've reported it, I really don't have the system to re-test anymore.
Comment 3 Fedora End Of Life 2012-08-07 14:10:03 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping